local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  say("jashFightPrelude1")
  setFlag("stellarMoveSwitch", True)
  say("jashFightPrelude2")
  setFlag("stellarFightFG", True)
  wait(2)
  say("jashFightPrelude3")
  setFlag("stellarFightEnter", True)
end

function onEnd(room, wasSkipped)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    getLevel():ResetZoom()
    enableMovement()
    end
end